Name:           startactive
Version:        0.2
Release:        3%{?dist}
Summary:        An alternative Plasma session start script

License:        GPLv2+
URL:            http://community.kde.org/Plasma/Active/Contour
Source0:        ftp://ftp.kde.org/pub/kde/stable/active/2.0/src/%{name}-%{version}.tar.bz2

Patch0:         startactive-0.2-unistdh.patch
# Fix path to libexec binaries
Patch1:         startactive-0.2-libexec-path.patch
# Disable setup-contour-intro module, not present
Patch2:         startactive-0.2-disable-setup-contour-intro.patch

BuildRequires:  cmake
BuildRequires:  kdelibs-devel


%description
An alternative Plasma session start script, with 
limited scope to fit Plasma Active session needs.

Startactive is part of Plasma Active project.


%prep
%setup -q

%patch0 -p1 -b .unistdh
%patch1 -p1 -b .libexec-path
%patch2 -p1 -b .disable-setup-contour-intro

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Create session file for Plasma Active
mkdir -p %{buildroot}%{_kde4_datadir}/xsessions/
cat > %{buildroot}%{_kde4_datadir}/xsessions/plasma-active.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=/usr/bin/startactive
TryExec=/usr/bin/startactive
Name=KDE Plasma Active
Comment=A touch enabled Plasma Active workspace aiming on different (not only) mobile devices
EOF

%files
%doc readme.txt
%attr(0755,root,root) %{_kde4_bindir}/startactive
%{_kde4_bindir}/startactive.bin
%{_kde4_appsdir}/ksplash/Themes/qmldefault/
%{_kde4_appsdir}/startactive/
%{_kde4_datadir}/xsessions/plasma-active.desktop

%changelog
* Mon Feb 27 2012 Radek Novacek <rnovacek@redhat.com> 0.2-3
- Create xsession desktop file

* Mon Feb 27 2012 Radek Novacek <rnovacek@redhat.com> 0.2-2
- Fix path to libexec binaries
- Disable setup-contour-intro module

* Sun Feb 19 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.2-1
- initial try

